## org.gnu.gtk
Class TextSearchFlags

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.TextSearchFlags

public class TextSearchFlags
extends Enum

Flags for searching text. Used by the text widgets, described in `TextView`

Field Summary
`static TextSearchFlags` `TEXT_ONLY`
`static TextSearchFlags` `VISIBLE_ONLY`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`TextSearchFlags` `and(TextSearchFlags other)`
`static TextSearchFlags` `intern(int value)`
`TextSearchFlags` `or(TextSearchFlags other)`
`boolean` `test(TextSearchFlags other)`
`TextSearchFlags` `xor(TextSearchFlags other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VISIBLE_ONLY

    public static final TextSearchFlags VISIBLE_ONLY

### TEXT_ONLY

    public static final TextSearchFlags TEXT_ONLY

Method Detail

### intern

    public static TextSearchFlags intern(int value)

### or

    public TextSearchFlags or(TextSearchFlags other)

### and

    public TextSearchFlags and(TextSearchFlags other)

### xor

    public TextSearchFlags xor(TextSearchFlags other)

### test

    public boolean test(TextSearchFlags other)